<?xml version='1.0' encoding='UTF-8' ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:h="http://xmlns.jcp.org/jsf/html"
      xmlns:p="http://primefaces.org/ui">

    <h:head>
        <title>Facelet Title</title>
    </h:head>
    <h:body>
        <h:form id="FormPronostico">
            <p:growl sticky="true" redisplay="false"/>
            <p:panel header="Formulario de ingreso Pronostico:">
                <p:panelGrid columns="3">
                    <h:outputLabel value="Ciudad" for="ciudad"/>
                    <p:inputText id="ciudad" value="#{pronosticoBean.ciudad}" required="true"/>
                    <p:message for="ciudad"/>

                    <h:outputLabel value="Fecha" for="fecha" />
                    <p:inputText id="fecha" value="#{pronosticoBean.fecha}" required="true" placeholder="dd/mm/aaaa" />
                    <p:message for="fecha"/>

                    <h:outputLabel value="Probabilidad Precipitacion" for="probabilidad_precipitacion"/>
                    <p:inputText id="probabilidad_precipitacion" value="#{pronosticoBean.probabilidadPrecipitacion}" placeholder="0-100" required="true"/>
                    <p:message for="probabilidad_precipitacion"/>

                    <h:outputLabel value="tipo nubosidad" for="tipo_nubosidad"/>
                    <p:inputText id="tipo_nubosidad" value="#{pronosticoBean.tipoNubosidad}" required="true"/>
                    <p:message for="tipo_nubosidad"/>                   

                    <h:outputLabel  value="Porcentaje de humedad"  for="porcentaje_humedad"/>
                    <p:inputText id="porcentaje_humedad"  placeholder="0-100" value="#{pronosticoBean.porcentajeHumedad}" required="true"/>
                    <p:message for="porcentaje_humedad"/>

                    <h:outputLabel value="temperatura_centigrados" for="temperatura_centigrados"/>
                    <p:inputText id="temperatura_centigrados" value="#{pronosticoBean.temperaturaCentigrados}" required="true"/>
                    <p:message for="temperatura_centigrados"/>  

                    <h:outputLabel value="temperatura_fahrenheit" for="temperatura_fahrenheit"/>
                    <p:inputText id="temperatura_fahrenheit" value="#{pronosticoBean.temperaturaFahrenheit}" required="true"/>
                    <p:message for="temperatura_fahrenheit"/>  

                    <h:panelGroup/>
                    <p:commandButton id="bt" ajax="raise" action="#{pronosticoBean.guardaPronostico()}" value="Guardar" icon="ui-icon-disk"/>
                </p:panelGrid>
            </p:panel>
        </h:form>


        <h:form>
            <p:panel header="Consultar pronostico de una ciudad ">
                <h:panelGrid>
                    <h:outputLabel value="Fecha" for="fecha" />
                    <p:inputText id="fecha" placeholder="dd/mm/aaaa" value="#{pronosticoBean.fecha}" required="true" size="10"/>
                    <p:message for="fecha"/>
                    

                    <h:outputLabel value="Ciudad" for="ciudad" />
                    <p:inputText id="ciudad" value="#{pronosticoBean.ciudad}" required="true" size="10"/>
                    <p:message for="ciudad"/>
                    <h:panelGroup/>
                    <p:commandButton id="bt2" ajax="false" action="#{pronosticoBean.consultarPronosticoC()}" value="buscar" icon="ui-icon-search" />
                    <br/>
                    <p:outputLabel id="mensaje1" value="#{productoBean.consultarPronosticoC()}"/>
                </h:panelGrid>
            </p:panel>
        </h:form>


    </h:body>
</html>

